Package org.apache.sysds.runtime.instructions.cp

# Class IntObject

java.lang.Object
org.apache.sysds.runtime.instructions.cp.Data
org.apache.sysds.runtime.instructions.cp.ScalarObject
org.apache.sysds.runtime.instructions.cp.IntObject

All Implemented Interfaces:
  `Serializable`

public class IntObject extends ScalarObject

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IntObject(long val)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBooleanValue()`
`double`
`getDoubleValue()`
`long`
`getLongValue()`
`int`
`getSize()`
`String`
`getStringValue()`
`Object`
`getValue()`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.ScalarObject

`getDebugName, getLanguageSpecificStringValue, toString`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

`getDataType, getMetaData, getValueType, removeMetaData, setMetaData, toString, updateDataCharacteristics`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IntObject

public IntObject(long val)

## Method Details

### getBooleanValue

public boolean getBooleanValue()

Specified by:
  `getBooleanValue` in class `ScalarObject`

### getLongValue

public long getLongValue()

Specified by:
  `getLongValue` in class `ScalarObject`

### getDoubleValue

public double getDoubleValue()

Specified by:
  `getDoubleValue` in class `ScalarObject`

### getStringValue

public String getStringValue()

Specified by:
  `getStringValue` in class `ScalarObject`

### getValue

public Object getValue()

Specified by:
  `getValue` in class `ScalarObject`

### getSize

public int getSize()

Specified by:
  `getSize` in class `ScalarObject`